lacgv(3)

NAME
lacgv - lacgv: conjugate vector

SYNOPSIS

  Functions

subroutine clacgv (n, x, incx)
CLACGV conjugates a complex vector.
subroutine zlacgv (n, x, incx)
ZLACGV conjugates a complex vector.

Detailed Description

Function Documentation

  subroutine clacgv (integer n, complex, dimension( * ) x, integer incx)

CLACGV conjugates a complex vector.

Purpose:

    !>
    !> CLACGV conjugates a complex vector of length N.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The length of the vector X.  N >= 0.
    !>

    X

    !>          X is COMPLEX array, dimension
    !>                         (1+(N-1)*abs(INCX))
    !>          On entry, the vector of length N to be conjugated.
    !>          On exit, X is overwritten with conjg(X).
    !>

    INCX

    !>          INCX is INTEGER
    !>          The spacing between successive elements of X.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine zlacgv (integer n, complex*16, dimension( * ) x, integer incx)

ZLACGV conjugates a complex vector.

Purpose:

    !>
    !> ZLACGV conjugates a complex vector of length N.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The length of the vector X.  N >= 0.
    !>

    X

    !>          X is COMPLEX*16 array, dimension
    !>                         (1+(N-1)*abs(INCX))
    !>          On entry, the vector of length N to be conjugated.
    !>          On exit, X is overwritten with conjg(X).
    !>

    INCX

    !>          INCX is INTEGER
    !>          The spacing between successive elements of X.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.